data:extend({
  {
    type = "particle",
    name = "100-mm-heat-explosion-remnants-particle",
    flags = {"not-on-map"},
    life_time = 60 * 15,
    pictures =
    {
      {
        filename = "__base__/graphics/entity/explosion-particle/explosion-particle.png", --TODO Placeholder --
        priority = "extra-high",
        width = 38,
        height = 38,
        frame_count = 10,
        animation_speed = 0.5,
        variation_count = 40
      }
    },
    shadows =
    {
      {
        filename = "__base__/graphics/entity/explosion-particle/explosion-particle-shadow.png",--TODO Placeholder --
        priority = "extra-high",
        width = 48,
        height = 38,
        frame_count = 10,
        animation_speed = 0.5,
        variation_count = 40,
        shift = {0.0625, 0}
      }
    },
    regular_trigger_effect =
    {
      type = "create-smoke",
      entity_name = "smoke-explosion-particle",
      starting_frame_deviation = 5,
      starting_frame_speed_deviation = 5,
      offset_deviation = {{-0.06, -0.06}, {0.06, 0.06}},
      speed_from_center = 0.007
    },
    regular_trigger_effect_frequency = 1,
    ended_in_water_trigger_effect =
    {
      type = "create-entity",
      entity_name = "water-splash"
    }
  },
  
  
  -- 30 MM SHELL PARTICLE -- 
  {
    type = "particle",
    name = "30-mm-shell-particle",
    flags = {"not-on-map"},
    life_time = 600,
    pictures =
    {
      {
        filename = "__BetterTurrets__/graphics/particles/big-shell-particle-1.png",
        priority = "extra-high",
        width = 12,
        height = 12,
        frame_count = 5
      },
      {
        filename = "__BetterTurrets__/graphics/particles/big-shell-particle-2.png",
        priority = "extra-high",
        width = 10,
        height = 14,
        frame_count = 5
      }
    },
    shadows = {
      {
        filename = "__BetterTurrets__/graphics/particles/big-shell-particle-shadow-1.png",
        priority = "extra-high",
        width = 18,
        height = 14,
        frame_count = 5
      },
      {
        filename = "__BetterTurrets__/graphics/particles/big-shell-particle-shadow-2.png",
        priority = "extra-high",
        width = 14,
        height = 16,
        frame_count = 5
      }
    }
  },
  
  -- 100 MM SHELL PARTICLE -- 
  {
    type = "particle",
    name = "100-mm-shell-particle",
    flags = {"not-on-map"},
    life_time = 600,
    pictures =
    {
      {
        filename = "__BetterTurrets__/graphics/particles/shell-100-mm-particle-1.png",
        priority = "extra-high",
        width = 12,
        height = 12,
        frame_count = 5
      },
      {
        filename = "__BetterTurrets__/graphics/particles/shell-100-mm-particle-2.png",
        priority = "extra-high",
        width = 10,
        height = 14,
        frame_count = 5
      }
    },
    shadows = {
      {
        filename = "__BetterTurrets__/graphics/particles/big-shell-particle-shadow-1.png",
        priority = "extra-high",
        width = 18,
        height = 14,
        frame_count = 5
      },
      {
        filename = "__BetterTurrets__/graphics/particles/big-shell-particle-shadow-2.png",
        priority = "extra-high",
        width = 14,
        height = 16,
        frame_count = 5
      }
    }
  },
  
})
